rc_openlog(3)

NAME
rc_openlog - Open the system log for radcli messages.

SYNOPSIS
#include <radcli/>

void rc_openlog(
    char const  *ident
);

DESCRIPTION

New code should call openlog(3) directly. radcli emits all messages via syslog(3); opening the log with your application's own ident and facility before the first radcli call is sufficient. This function is a thin wrapper around openlog() retained for source compatibility with freeradius-client and radiusclient-ng.

PARAMETERS

ident
    program name passed to openlog(3).

SEE ALSO

rc_get_srcaddr(3), rc_getport(3), rc_own_hostname(3), rc_setdebug(3)